Bug Hunting Session
Bug 81100 - FILEOPEN: tblHeader property of the table is not being imported correctly
Summary: FILEOPEN: tblHeader property of the table is not being imported correctly
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA interoperability target:6.4.0
Keywords: filter:docx
Depends on:
Blocks: DOCX-Tables
  Show dependency treegraph
 
Reported: 2014-07-09 11:16 UTC by Ravindra Vidhate
Modified: 2019-10-03 14:11 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Original File (53.93 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-07-09 11:16 UTC, Ravindra Vidhate
Details
Screen shot (265.81 KB, image/png)
2014-07-09 11:17 UTC, Ravindra Vidhate
Details
more file (53.93 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-07-09 11:17 UTC, Ravindra Vidhate
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ravindra Vidhate 2014-07-09 11:16:37 UTC
Created attachment 102480 [details]
Original File

Problem description: 
Open the docx file in LO and export as docx. The tblHeader properties are not being preserved.

Steps to reproduce:
1. Open the docx file in LO.
2. Save the file in docx file format
3. Open the saved docx file in MS-Office

Current behavior:
The tblHeader properties are not being preserved. In the Table properties dialog box, Row properties, "Repeat as Header row at the top of each page" is unchecked.

Expected behavior:
The tblHeader properties should be preserved. In the Table properties dialog box, Row properties, "Repeat as Header row at the top of each page" should be checked.
              
Operating System: Ubuntu
Version: 4.4.0.0.alpha0+ Master
Comment 1 Ravindra Vidhate 2014-07-09 11:17:20 UTC
Created attachment 102481 [details]
Screen shot
Comment 2 Ravindra Vidhate 2014-07-09 11:17:44 UTC
Created attachment 102482 [details]
more file
Comment 3 Jorendc 2014-07-10 21:00:38 UTC
Synerzip -> NEW.
Comment 4 Yousuf Philips (jay) (retired) 2014-07-11 19:14:37 UTC
Dear Ravidndra,

I did some testing and see that LibO isnt opening it correctly and thats why its saving it like that. Once you open the file in LibO and go into the table properties, you will see that 'repeat heading' isnt enabled and not set to 1 on the text flow tab.
Comment 5 QA Administrators 2015-07-18 17:42:46 UTC Comment hidden (obsolete)
Comment 6 Buovjaga 2015-10-16 19:43:49 UTC
(In reply to Yousuf (Jay) Philips from comment #4)
> I did some testing and see that LibO isnt opening it correctly and thats why
> its saving it like that. Once you open the file in LibO and go into the
> table properties, you will see that 'repeat heading' isnt enabled and not
> set to 1 on the text flow tab.

Still true.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 186f32f63434e16ff5776251657f902d5808ed3d
TinderBox: Win-x86@39, Branch:master, Time: 2015-10-16_09:42:47
Locale: en-US (fi_FI)
Comment 7 Aron Budea 2016-08-15 00:46:28 UTC
Still buggy in v5.2.0.4.
Repeat heading setting is not set in v3.3.0, either (plus table looks worse), adjusting version.
Comment 8 Xisco Faulí 2016-09-14 22:38:35 UTC
Hi Ravindra,
I'm setting this ticket back to NEW as it has been inactive for more than 3
months.
Feel free to assign it back to you if you're still working on this.
Regards
Comment 9 Xisco Faulí 2017-09-29 08:49:01 UTC Comment hidden (obsolete)
Comment 10 Commit Notification 2019-10-01 14:37:04 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/93ebf6a85f699e0594e05374ac37f8e582292d4f

tdf#81100 DOCX: keep "repeat table header" table style setting

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2019-10-03 06:00:12 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f9aac900ada3d507526eeeed5b51fc7a10ab4cae

tdf#81100 DOCX import: repeat header according to table style

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Buovjaga 2019-10-03 14:11:06 UTC
Verified, thanks!

Arch Linux 64-bit
Version: 6.4.0.0.alpha0+
Build ID: f29aa28100b899252a3419578be5d39e84863c36
CPU threads: 8; OS: Linux 5.3; UI render: default; VCL: kf5; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 3 October 2019